LinkLoopException (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming, class: LinkLoopException
Keywords: javax.naming.LinkLoopException class

# Class LinkLoopException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.LinkException
javax.naming.LinkLoopException

All Implemented Interfaces:
  `Serializable`

public class LinkLoopException extends LinkException
This exception is thrown when a loop was detected while attempting to resolve a link, or an implementation specific limit on link counts has been reached.

Synchronization and serialization issues that apply to LinkException apply directly here.

Since:
  1.3
See Also:
  - `LinkRef`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class LinkException

  `linkExplanation, linkRemainingName, linkResolvedName, linkResolvedObj`

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkLoopException()`
  Constructs a new instance of LinkLoopException.
  `LinkLoopException(String explanation)`
  Constructs a new instance of LinkLoopException with an explanation.

- ## Method Summary

  ### Methods declared in class LinkException

  `getLinkExplanation, getLinkRemainingName, getLinkResolvedName, getLinkResolvedObj, setLinkExplanation, setLinkRemainingName, setLinkResolvedName, setLinkResolvedObj, toString, toString`

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LinkLoopException

    public LinkLoopException(String explanation)
    Constructs a new instance of LinkLoopException with an explanation. All the other fields are initialized to null.
    Parameters:
      `explanation` - A possibly null string containing additional detail about this exception.
    See Also:
      - `Throwable.getMessage()`

  - ### LinkLoopException

    public LinkLoopException()
    Constructs a new instance of LinkLoopException. All the non-link-related and link-related fields are initialized to null.